Bug 185177 - Packages became uninstalled without user intervention :-}
Packages became uninstalled without user intervention :-}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-11 02:39 EST by David Timms
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 16:40:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
As you can see, the two packages were not present in rpm -q, and the yum log does not indicate they were removed, yet they weren't there. A pirut install shows in the yum.log and rpm -q OK. (6.24 KB, text/plain)
2006-03-11 02:39 EST, David Timms
no flags Details

  None (edit)
Description David Timms 2006-03-11 02:39:32 EST
Description of problem:
Noticed that selinux-policy and selinux-policy-targeted are no longer installed,
while researching bug 185083.

Version-Release number of selected component (if applicable):
current versions after re-installing selinux-policy and targeted:
# rpm -qa|egrep 'sel|libse|kernel|yum|piru|rpm'|sort 
kernel-2.6.15-1.2039_FC5
kernel-2.6.15-1.2041_FC5
libselinux-1.29.7-1.2
libselinux-python-1.29.7-1.2
libsemanage-1.5.28-1
libsepol-1.11.18-2
libsetrans-0.1.18-1.2
pirut-1.0.1-1
rpm-4.4.2-15.2
rpm-libs-4.4.2-15.2
rpm-python-4.4.2-15.2
selinux-policy-2.2.23-15
selinux-policy-targeted-2.2.23-15
yum-2.6.0-1
yum-utils-0.5-1

How reproducible:
This did not happen on another machine.

Steps to Reproduce:
1. Install FC5T2
2. pup daily
  
Actual results:
# rpm -qa|grep sel
#  (nada)

Expected results:
selinux-policy-2.2.23-15
selinux-policy-targeted-2.2.23-15

Additional info:
I am really sure that I *never*:
1. used rpm manually to remove the two packages.
2. used yum manually to remove the two packages.
Comment 1 David Timms 2006-03-11 02:39:32 EST
Created attachment 125986 [details]
As you can see, the two packages were not present in rpm -q, and the yum log does not indicate they were removed, yet they weren't there. A pirut install shows in the yum.log and rpm -q OK.
Comment 2 Jeremy Katz 2006-03-13 13:44:44 EST
Did you see any scriptlet errors?  Unfortunately, scriptlet errors in %pre will
lead to packages not being installed :-/
Comment 3 David Timms 2006-03-13 14:18:46 EST
All package transactions have been performed with pup. Is there a location where
failed pup/yum/rpm transactions log their failures ?

If the package was already installed (as in this case), are you saying that a
scriptlet error will lead to packages being incorrectly uninstalled. Looking at
it more closely, would it make sense for the whole transaction to fail, and be
left back where you started, rather than with an incomplete installation (that
wasn't the fault of the user) and whom hasn't been informed that somwthing went
wrong ?

Is it only the rpm database that is affected, or are the files on disk likely to
be missing as well ?

As you would need a log of any possible scriptlet errors to solve issues like
this it seems a good idea would be to log any "bads" in maybe the yum log or a
separate rpm log ?
Comment 4 Jeremy Katz 2006-03-13 14:31:21 EST
I don't think I've hooked things up yet so that the errors end up in the yum log
as well as the console -- this is something which needs doing on the yum level.
 But they do end up in your xsession errors file or wherever.

And yes, this is a very crappy area of rpm :-/
Comment 5 Jeremy Katz 2006-04-19 16:40:28 EDT
This should be happier now and have more logging.

Note You need to log in before you can comment on or make changes to this bug.